<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import EMItemBaseInfoViewBase from './emitem-base-info-view-base.vue';

import view_form from '@widgets/emitem/info-form/info-form.vue';

/**
 * 物品
 *
 * @export
 * @class EMItemBaseInfoView
 * @extends {EMItemBaseInfoViewBase}
 */
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class EMItemBaseInfoView extends EMItemBaseInfoViewBase { }
</script>